from datetime import datetime
from django.utils.timezone import make_aware

EUROPEAN_COUNTRIES = (
    ('AL', 'Albania'),
    # ('AD', 'Andorra'),
    ('AM', 'Armenia'),
    ('AT', 'Austria'),
    ('BY', 'Belarus'),
    ('BE', 'Belgium'),
    ('BA', 'Bosnia and Herzegovina'),
    ('BG', 'Bulgaria'),
    # ('CH', Switzerland),
    ('CY', 'Cyprus'),
    ('CZ', 'Czech Republic'),
    ('DE', 'Germany'),
    ('DK', 'Denmark'),
    ('EE', 'Estonia'),
    ('ES', 'Spain'),
    ('FO', 'Faeroe Islands'),
    ('FI', 'Finland'),
    ('FR', 'France'),
    ('GB', 'United Kingdom'),
    ('GE', 'Georgia'),
    ('GI', 'Gibraltar'),
    ('GR', 'Greece'),
    ('HU', 'Hungary'),
    ('HR', 'Croatia'),
    ('IE', 'Ireland'),
    ('IS', 'Iceland'),
    ('IT', 'Italy'),
    ('LI', 'Liechtenstein'),
    ('LT', 'Lithuania'),
    ('LU', 'Luxembourg'),
    ('LV', 'Latvia'),
    ('MC', 'Monaco'),
    ('MK', 'Macedonia'),
    ('MT', 'Malta'),
    ('NO', 'Norway'),
    ('NL', 'Netherlands'),
    ('PL', 'Poland'),
    ('PT', 'Portugal'),
    ('RO', 'Romania'),
    ('RU', 'Russian Federation'),
    ('SE', 'Sweden'),
    ('SI', 'Slovenia'),
    ('SK', 'Slovakia'),
    ('SM', 'San Marino'),
    ('SR', 'Serbia'),
    ('TR', 'Turkey'),
    ('UA', 'Ukraine'),
    ('VA', 'Vatican City State'),
)

EU_COUNTRIES = (
    ('AT', 'Austria'),
    ('BE', 'Belgium'),
    ('BG', 'Bulgaria'),
    ('CY', 'Cyprus'),
    ('CZ', 'Czech Republic'),
    ('DE', 'Germany'),
    ('DK', 'Denmark'),
    ('EE', 'Estonia'),
    ('ES', 'Spain'),
    ('FI', 'Finland'),
    ('FR', 'France'),
    ('GR', 'Greece'),
    ('HR', 'Croatia'),
    ('HU', 'Hungary'),
    ('IE', 'Ireland'),
    ('IT', 'Italy'),
    ('LT', 'Lithuania'),
    ('LU', 'Luxembourg'),
    ('LV', 'Latvia'),
    ('MT', 'Malta'),
    ('NL', 'Netherlands'),
    ('PL', 'Poland'),
    ('PT', 'Portugal'),
    ('RO', 'Romania'),
    ('SE', 'Sweden'),
    ('SI', 'Slovenia'),
    ('SK', 'Slovakia'),
    ('RE', 'Réunion'),
)

AVAILABLE_CRYPTOCURRENCIES = (
    ('Ethereum', 'ETH'),
    ('Ripple', 'XRP'),
    ('Bitcoin', 'BTC'),  # in Kraken, BTC = XBT
    ('Tether', 'USDT'),
    ('Dash', 'DASH'),
    ('Bitcoin Cash', 'BCH'),
    ('USD Coin', 'USDC'),
    ('Litecoin', 'LTC'),
    ('Tezos', 'XTZ'),
)

# in case updating terms and conditions for bank, need to update TERMS_AND_CONDITIONS_DATE and
# users will be forced to agree before using the bank
TERMS_AND_CONDITIONS_DATE = make_aware(datetime(2020, 8, 1, 0, 0, 0))
