# Generated by Django 2.2 on 2020-09-20 11:00

from django.db import migrations, models
import django_extensions.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DestinationPayment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('cryptocurrency', models.CharField(choices=[('xrp', 'Ripple'), ('btc', 'Bitcoin'), ('bch', 'Bitcoin Cash'), ('ltc', 'Litecoin'), ('dash', 'Dash')], max_length=9, verbose_name='Currency')),
                ('amount', models.DecimalField(blank=True, decimal_places=18, max_digits=100, null=True, verbose_name='Destination payment amount')),
                ('tx_hash', models.CharField(blank=True, max_length=66, unique=True, verbose_name='Transaction hash')),
                ('is_processed', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='MarkupFee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('type', models.CharField(choices=[('sell_invisible_fee', 'Sell Invisible Fee'), ('sell_visible_fee', 'Sell Visible Fee'), ('buy_invisible_fee', 'Buy Invisible Fee'), ('buy_visible_fee', 'Buy Visible Fee'), ('european_transfer_fee', 'European Transfer Fee'), ('international_transfer_fee', 'International Transfer Fee')], max_length=100, unique=True)),
                ('percent_value', models.DecimalField(decimal_places=2, max_digits=4, verbose_name='Percent Value')),
                ('fixed_value', models.DecimalField(decimal_places=2, max_digits=4, verbose_name='Fixed Value')),
                ('description', models.TextField(blank=True, max_length=256, null=True)),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PersonalBankAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('status', models.CharField(choices=[('not_verified', 'Not Verified'), ('pending', 'Pending'), ('verified', 'Verified'), ('declined', 'Declined')], default='not_verified', max_length=16)),
                ('iban', models.CharField(max_length=100)),
                ('swift', models.CharField(max_length=100)),
                ('recipient_name', models.CharField(max_length=255)),
                ('bank_name', models.CharField(max_length=255)),
                ('bank_country', models.CharField(max_length=255)),
                ('recipient_country', models.CharField(max_length=255)),
                ('physical_address', models.CharField(max_length=255)),
                ('deleted_date', models.DateTimeField(blank=True, null=True, verbose_name='Deleted Date')),
                ('verified_date', models.DateTimeField(blank=True, null=True, verbose_name='Verified Date')),
            ],
            options={
                'verbose_name': 'Personal chosschange accounts',
                'verbose_name_plural': 'Personal chosschange accounts',
            },
        ),
        migrations.CreateModel(
            name='PersonalBankLimit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('limit_status', models.CharField(choices=[('approved', 'Approved'), ('declined', 'Declined'), ('pending', 'Pending')], max_length=20, verbose_name='Status')),
                ('transfer_type', models.CharField(choices=[('sell', 'Sell'), ('buy', 'Buy'), ('withdraw', 'Withdraw')], max_length=10, verbose_name='Transaction Type')),
                ('min_limit', models.DecimalField(decimal_places=2, max_digits=100)),
                ('max_limit', models.DecimalField(decimal_places=2, max_digits=100)),
                ('approved_date', models.DateTimeField(blank=True, null=True, verbose_name='Approved Date')),
                ('declined_date', models.DateTimeField(blank=True, null=True, verbose_name='Declined Date')),
            ],
            options={
                'verbose_name': 'Personal crosschange limit',
                'verbose_name_plural': 'Personal crosschange limits',
            },
        ),
        migrations.CreateModel(
            name='Transfer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('transfer_type', models.CharField(choices=[('sell', 'Sell'), ('buy', 'Buy'), ('verify', 'Verify'), ('withdraw', 'Withdraw'), ('deposit', 'Deposit')], max_length=10, verbose_name='Transaction Type')),
                ('status', models.CharField(choices=[('new', 'New'), ('in_progress', 'In Progress'), ('pending', 'Pending'), ('completed', 'Completed'), ('canceled', 'Canceled'), ('refunded', 'Refunded'), ('on_hold', 'On Hold')], default='new', help_text='Note: Status Refunded can not be changed', max_length=16, verbose_name='Transaction Status')),
                ('cryptocurrency', models.CharField(choices=[('eur', 'Euro'), ('eth', 'Ethereum'), ('xrp', 'Ripple'), ('btc', 'Bitcoin'), ('ltc', 'Litecoin'), ('bch', 'Bitcoin Cash'), ('dash', 'Dash'), ('usdt', 'Tether'), ('usdc', 'USD Coin'), ('xtz', 'Tezos')], max_length=9, verbose_name='Currency')),
                ('account_type', models.CharField(choices=[('bank_account', 'Bank Account'), ('kuailian_bank_account', 'Crosschange Bank Account')], default='kuailian_bank_account', max_length=32)),
                ('iban', models.CharField(blank=True, max_length=100)),
                ('swift', models.CharField(blank=True, max_length=100)),
                ('recipient_name', models.CharField(blank=True, max_length=255)),
                ('bank_name', models.CharField(blank=True, max_length=255)),
                ('bank_country', models.CharField(blank=True, max_length=255)),
                ('recipient_country', models.CharField(blank=True, max_length=255)),
                ('physical_address', models.CharField(blank=True, max_length=255)),
                ('exchange_rate_value', models.DecimalField(blank=True, decimal_places=18, max_digits=23, null=True)),
                ('applied_invisible_fee', models.DecimalField(blank=True, decimal_places=18, max_digits=100, null=True, verbose_name='Invisible fee')),
                ('withdraw_fee', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Withdraw fee')),
                ('applied_visible_fee', models.DecimalField(blank=True, decimal_places=18, max_digits=100, null=True, verbose_name='Visible fee')),
                ('original_pay_amount', models.DecimalField(blank=True, decimal_places=18, max_digits=100, null=True)),
                ('pay_amount', models.DecimalField(decimal_places=18, max_digits=100)),
                ('receive_amount', models.DecimalField(decimal_places=18, max_digits=100)),
                ('wallet_address', models.CharField(blank=True, max_length=100)),
                ('eth_tx', models.CharField(blank=True, max_length=66, verbose_name='Ethereum transaction')),
                ('additional_details', models.TextField(blank=True, max_length=256, null=True)),
                ('completed_date', models.DateTimeField(blank=True, null=True, verbose_name='Completed Date')),
                ('canceled_date', models.DateTimeField(blank=True, null=True, verbose_name='Canceled Date')),
                ('kb_commission_calculated', models.BooleanField(default=False)),
                ('kraken_order_txid', models.CharField(blank=True, max_length=255)),
                ('kraken_withdraw_refid', models.CharField(blank=True, max_length=255)),
                ('kraken_status', models.CharField(blank=True, choices=[('pending', 'Pending'), ('open', 'Open'), ('closed', 'Closed'), ('canceled', 'Canceled'), ('expired', 'Expired'), ('unknown', 'Unknown')], max_length=32)),
                ('kraken_withdraw_status', models.CharField(blank=True, choices=[('Initial', 'Initiated'), ('Pending', 'Pending'), ('Sending', 'Sending'), ('Success', 'Success'), ('On Hold', 'On Hold'), ('Failure', 'Failure'), ('Settled', 'Settled'), ('Unknown', 'Unknown')], max_length=32)),
                ('kraken_withdraw_status_fee', models.CharField(blank=True, choices=[('Initial', 'Initiated'), ('Pending', 'Pending'), ('Sending', 'Sending'), ('Success', 'Success'), ('On Hold', 'On Hold'), ('Failure', 'Failure'), ('Settled', 'Settled'), ('Unknown', 'Unknown')], max_length=32)),
                ('kraken_order_txid_for_fee', models.CharField(blank=True, max_length=255)),
                ('kraken_withdraw_refid_for_fee', models.CharField(blank=True, max_length=255)),
                ('sender_tag', models.CharField(blank=True, help_text='Sender tags uses for sending Ripple to identify sender', max_length=32)),
            ],
            options={
                'verbose_name': 'Transaction',
                'verbose_name_plural': 'Transactions',
            },
        ),
        migrations.CreateModel(
            name='UserWallet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cryptocurrency', models.CharField(choices=[('eth', 'Ethereum'), ('xrp', 'Ripple'), ('btc', 'Bitcoin'), ('ltc', 'Litecoin'), ('bch', 'Bitcoin Cash'), ('dash', 'Dash'), ('usdt', 'Tether'), ('usdc', 'USD Coin'), ('xtz', 'Tezos')], max_length=9, verbose_name='Currency')),
                ('address', models.CharField(max_length=100, verbose_name='Address')),
            ],
            options={
                'verbose_name': 'user wallet',
                'verbose_name_plural': 'Users Wallets',
            },
        ),
    ]
