import bitcoincash.rpc
from bitcoincash import SelectParams
from bitcoincash.core import lx
from django.conf import settings

from interfaces.base_rpc_client import BaseRPCClient


class BchProxy(BaseRPCClient, bitcoincash.rpc.Proxy):

    def __init__(self, *args, **kwargs):
        SelectParams(settings.BITCOIN_CASH_NETWORK)
        super().__init__(
            service_url=settings.BITCOIN_CASH_NETWORK_URL, *args, **kwargs
        )

    def listreceivedbyaddress(self, minconf=3, include_empty=False, include_watchonly=False, address_filter=None):
        return self._call('listreceivedbyaddress', minconf, include_empty, include_watchonly, address_filter)

    def gettransaction(self, txid):
        return super().gettransaction(lx(txid))


bch_conn = BchProxy()
