from django.db.models import Manager, Sum, F


class TransferManager(Manager):
    def get_frozen_balance_eur(self, user_id):
        # FIXME: cyclic import
        from .models import Transfer
        frozen_funds = self.filter(
            transfer_type__in=[Transfer.WITHDRAW, Transfer.BUY],
            status__in=[Transfer.PENDING, Transfer.NEW, Transfer.IN_PROGRESS],
            user_id=user_id
        ).aggregate(
            funds=Sum(F('pay_amount') + F('withdraw_fee'))
        )['funds'] or 0
        logger.info(f"User={user_id} frozen balance={frozen_funds} euro")
        return frozen_funds
