from time import sleep

from ripple_api import Account, RippleDataAPIClient


class BaseRippleRepeater:
    REPEAT_LIMIT = 10
    DELAY_SEC = 2

    def _call(self, *args, **kwargs):
        response = None
        for i in range(self.REPEAT_LIMIT):
            response = super()._call(*args, **kwargs)
            status = response.get('status', None)
            if status != 'error':
                return response
            sleep(self.DELAY_SEC)

        return response


class AccountRepeat(BaseRippleRepeater, Account):
    pass


class RippleDataAPIClientRepeat(BaseRippleRepeater, RippleDataAPIClient):
    pass
