from django.conf import settings
from pytezos import PyTezosClient

from interfaces.base_rpc_client import BaseRPCClient


class ExtendedPyTezosClient(BaseRPCClient, PyTezosClient):
    def account(self, *args, **kwargs):
        return self._wrap_call(super().account, *args, **kwargs)


def tezos_client_spawn(key=None):
    return ExtendedPyTezosClient(shell=settings.TEZOS_NETWORK_URL, key=key)


tezos_conn = ExtendedPyTezosClient(shell=settings.TEZOS_NETWORK_URL)
