from django.utils.translation import gettext_lazy as _


DEVICE_METHOD = 'sms'
DEVICE_NAME = 'default'
DEVICE_CHANGE_NAME = 'change'

OTP_DEVICE_ID = 'otp_device_id'

BLACKLISTED_COUNTRIES = []
WAFFLE_RESTORE_PASSWORD = 'restore_password'
WAFFLE_PASSWORD_CHANGE = 'password_change'
WAFFLE_KYC = 'kyc'
WAFFLE_KYC_IDENTITY_MIND = 'kyc_identity_mind'
WAFFLE_KYC_SUM_SUB = 'kyc_sum_sub'
WAFFLE_GENERATE_BACKUP_TOKENS = 'generate_backup_tokens'
WAFFLE_REMEMBER_ME = 'remember_me'
WAFFLE_USER_REPORTS = 'user_reports'
WAFFLE_TWO_FACTOR = 'two_factor_auth'
WAFFLE_SHOW_MASTERNODES_APP = 'show_masternodes_app'
WAFFLE_SHOW_MONTHLY_INVOICES = 'show_monthly_invoices'
WAFFLE_SHOW_AFFILIATES_REPORT = 'show_affiliates_report'
WAFFLE_SHOW_CONTRACTS_REPORT = 'show_contracts_report'
WAFFLE_SHOW_RANK_INFO = 'show_rank_info'
WAFFLE_KBANK_ENABLED = 'kbank_enabled'
WAFFLE_SHOW_POOL_MONITORING = 'show_pool_monitoring'
WAFFLE_SHOW_RISK_LICENSES = 'show_risk_licenses'
WAFFLE_REALTIME_MONITORING = 'realtime_monitoring'
WAFFLE_SHOW_ACADEMY = 'show_academy'
WAFFLE_SHOW_MARKETPLACE = 'show_marketplace'
WAFFLE_SHOW_RIPPLE = 'show_ripple'
WAFFLE_LICENSE_WITHDRAW = 'withdraw_app'
WAFFLE_HIGH_RISK_LICENSE_ENABLED = 'high_risk_licence_enabled'
WAFFLE_SHOW_COMPANY = 'show_company'
WAFFLE_SHOW_REFERRAL_TREE = 'show_referral_tree'
WAFFLE_SHOW_REFERRAL_TREE_SEARCH = 'show_referral_tree_search'
WAFFLE_ADMIN_NOTIFICATION = 'admin_notification'
WAFFLE_LIQUIDITY_ADMIN_NOTIFICATION = 'liquidity_admin_notifications'
WAFFLE_SHOW_PURPOSE = 'show_purpose'
WAFFLE_FIN_MONITORING_ADMIN_NOTIFICATIONS = 'fin_monitoring_admin_notifications'
WAFFLE_FIN_MONITORING_ENABLE = 'waffle_fin_monitoring_enable'

WAFFLE_FOR_FRONTEND = [
    WAFFLE_RESTORE_PASSWORD, WAFFLE_KYC, WAFFLE_REMEMBER_ME, WAFFLE_USER_REPORTS, WAFFLE_SHOW_MASTERNODES_APP,
    WAFFLE_SHOW_MONTHLY_INVOICES, WAFFLE_SHOW_AFFILIATES_REPORT, WAFFLE_SHOW_CONTRACTS_REPORT, WAFFLE_SHOW_RANK_INFO,
    WAFFLE_KBANK_ENABLED, WAFFLE_SHOW_POOL_MONITORING, WAFFLE_TWO_FACTOR, WAFFLE_SHOW_RISK_LICENSES,
    WAFFLE_REALTIME_MONITORING, WAFFLE_SHOW_ACADEMY, WAFFLE_SHOW_MARKETPLACE, WAFFLE_SHOW_RIPPLE,
    WAFFLE_LICENSE_WITHDRAW, WAFFLE_KYC_IDENTITY_MIND, WAFFLE_KYC_SUM_SUB, WAFFLE_HIGH_RISK_LICENSE_ENABLED,
    WAFFLE_SHOW_COMPANY, WAFFLE_SHOW_REFERRAL_TREE, WAFFLE_SHOW_REFERRAL_TREE_SEARCH, WAFFLE_SHOW_PURPOSE
]

SEND_TOKEN_DEFAULT = 'default'
SEND_TOKEN_LOGIN = 'login'
SEND_TOKEN_WALLET_CHANGE = 'wallet_change'
SEND_TOKEN_PHONE_CHANGE = 'phone_change'
SEND_TOKEN_RESTORE_PASSWORD = 'restore_password'
SEND_TOKEN_DEFAULT_2FA_METHOD_CHANGE = 'default_2fa_method_change'
SEND_TOKEN_PHONE_VERIFICATION = 'phone_verification'
SEND_TOKEN_CONTRACT_WITHDRAW = 'contract_withdraw'
SEND_TOKEN_BANK_WITHDRAW = 'bank_withdraw'
SEND_TOKEN_BANK_USER_WALLET = 'bank_user_wallet'

SEND_TOKEN_CHOICES = dict()
SEND_TOKEN_CHOICES[SEND_TOKEN_DEFAULT] = dict(max=3, period=24)
SEND_TOKEN_CHOICES[SEND_TOKEN_LOGIN] = dict(max=3, period=1)
SEND_TOKEN_CHOICES[SEND_TOKEN_WALLET_CHANGE] = dict(max=3, period=24)
SEND_TOKEN_CHOICES[SEND_TOKEN_PHONE_CHANGE] = dict(max=3, period=24)
SEND_TOKEN_CHOICES[SEND_TOKEN_DEFAULT_2FA_METHOD_CHANGE] = dict(max=3, period=24)
SEND_TOKEN_CHOICES[SEND_TOKEN_RESTORE_PASSWORD] = dict(max=3, period=24)
SEND_TOKEN_CHOICES[SEND_TOKEN_PHONE_VERIFICATION] = dict(max=3, period=24)
SEND_TOKEN_CHOICES[SEND_TOKEN_CONTRACT_WITHDRAW] = dict(max=10, period=1)
SEND_TOKEN_CHOICES[SEND_TOKEN_BANK_WITHDRAW] = dict(max=10, period=1)
SEND_TOKEN_CHOICES[SEND_TOKEN_BANK_USER_WALLET] = dict(max=3, period=24)

COUNTRIES = [
    {"name": _("Afghanistan"), "dial_code": ["+93"], "code": "AF"},
    {"name": _("Albania"), "dial_code": ["+355"], "code": "AL"},
    {"name": _("Algeria"), "dial_code": ["+213"], "code": "DZ"},
    {"name": _("AmericanSamoa"), "dial_code": ["+1 684"], "code": "AS"},
    {"name": _("Andorra"), "dial_code": ["+376"], "code": "AD"},
    {"name": _("Angola"), "dial_code": ["+244"], "code": "AO"},
    {"name": _("Anguilla"), "dial_code": ["+1 264"], "code": "AI"},
    {"name": _("Antigua and Barbuda"), "dial_code": ["+1268"], "code": "AG"},
    {"name": _("Argentina"), "dial_code": ["+54"], "code": "AR"},
    {"name": _("Armenia"), "dial_code": ["+374"], "code": "AM"},
    {"name": _("Aruba"), "dial_code": ["+297"], "code": "AW"},
    {"name": _("Australia"), "dial_code": ["+61"], "code": "AU"},
    {"name": _("Austria"), "dial_code": ["+43"], "code": "AT"},
    {"name": _("Azerbaijan"), "dial_code": ["+994"], "code": "AZ"},
    {"name": _("Bahamas"), "dial_code": ["+1 242"], "code": "BS"},
    {"name": _("Bahrain"), "dial_code": ["+973"], "code": "BH"},
    {"name": _("Bangladesh"), "dial_code": ["+880"], "code": "BD"},
    {"name": _("Barbados"), "dial_code": ["+1 246"], "code": "BB"},
    {"name": _("Belarus"), "dial_code": ["+375"], "code": "BY"},
    {"name": _("Belgium"), "dial_code": ["+32"], "code": "BE"},
    {"name": _("Belize"), "dial_code": ["+501"], "code": "BZ"},
    {"name": _("Benin"), "dial_code": ["+229"], "code": "BJ"},
    {"name": _("Bermuda"), "dial_code": ["+1 441"], "code": "BM"},
    {"name": _("Bhutan"), "dial_code": ["+975"], "code": "BT"},
    {"name": _("Bosnia and Herzegovina"), "dial_code": ["+387"], "code": "BA"},
    {"name": _("Botswana"), "dial_code": ["+267"], "code": "BW"},
    {"name": _("Brazil"), "dial_code": ["+55"], "code": "BR"},
    {"name": _("British Indian Ocean Territory"), "dial_code": ["+246"], "code": "IO"},
    {"name": _("Bulgaria"), "dial_code": ["+359"], "code": "BG"},
    {"name": _("Burkina Faso"), "dial_code": ["+226"], "code": "BF"},
    {"name": _("Burundi"), "dial_code": ["+257"], "code": "BI"},
    {"name": _("Cambodia"), "dial_code": ["+855"], "code": "KH"},
    {"name": _("Cameroon"), "dial_code": ["+237"], "code": "CM"},
    {"name": _("Canada"), "dial_code": ["+1"], "code": "CA"},
    {"name": _("Cape Verde"), "dial_code": ["+238"], "code": "CV"},
    {"name": _("Cayman Islands"), "dial_code": ["+ 345"], "code": "KY"},
    {"name": _("Central African Republic"), "dial_code": ["+236"], "code": "CF"},
    {"name": _("Chad"), "dial_code": ["+235"], "code": "TD"},
    {"name": _("Chile"), "dial_code": ["+56"], "code": "CL"},
    {"name": _("China"), "dial_code": ["+86"], "code": "CN"},
    {"name": _("Christmas Island"), "dial_code": ["+61"], "code": "CX"},
    {"name": _("Colombia"), "dial_code": ["+57"], "code": "CO"},
    {"name": _("Comoros"), "dial_code": ["+269"], "code": "KM"},
    {"name": _("Congo"), "dial_code": ["+242"], "code": "CG"},
    {"name": _("Cook Islands"), "dial_code": ["+682"], "code": "CK"},
    {"name": _("Costa Rica"), "dial_code": ["+506"], "code": "CR"},
    {"name": _("Croatia"), "dial_code": ["+385"], "code": "HR"},
    {"name": _("Cuba"), "dial_code": ["+53"], "code": "CU"},
    {"name": _("Cyprus"), "dial_code": ["+357"], "code": "CY"},
    {"name": _("Czech Republic"), "dial_code": ["+420"], "code": "CZ"},
    {"name": _("Denmark"), "dial_code": ["+45"], "code": "DK"},
    {"name": _("Djibouti"), "dial_code": ["+253"], "code": "DJ"},
    {"name": _("Dominica"), "dial_code": ["+1 767"], "code": "DM"},
    {"name": _("Dominican Republic"), "dial_code": ["+1 809", "+1 829", "+1 849"], "code": "DO"},
    {"name": _("Ecuador"), "dial_code": ["+593"], "code": "EC"},
    {"name": _("Egypt"), "dial_code": ["+20"], "code": "EG"},
    {"name": _("El Salvador"), "dial_code": ["+503"], "code": "SV"},
    {"name": _("Equatorial Guinea"), "dial_code": ["+240"], "code": "GQ"},
    {"name": _("Eritrea"), "dial_code": ["+291"], "code": "ER"},
    {"name": _("Estonia"), "dial_code": ["+372"], "code": "EE"},
    {"name": _("Ethiopia"), "dial_code": ["+251"], "code": "ET"},
    {"name": _("Faroe Islands"), "dial_code": ["+298"], "code": "FO"},
    {"name": _("Fiji"), "dial_code": ["+679"], "code": "FJ"},
    {"name": _("Finland"), "dial_code": ["+358"], "code": "FI"},
    {"name": _("France"), "dial_code": ["+33"], "code": "FR"},
    {"name": _("French Guiana"), "dial_code": ["+594"], "code": "GF"},
    {"name": _("French Polynesia"), "dial_code": ["+689"], "code": "PF"},
    {"name": _("Gabon"), "dial_code": ["+241"], "code": "GA"},
    {"name": _("Gambia"), "dial_code": ["+220"], "code": "GM"},
    {"name": _("Georgia"), "dial_code": ["+995"], "code": "GE"},
    {"name": _("Germany"), "dial_code": ["+49"], "code": "DE"},
    {"name": _("Ghana"), "dial_code": ["+233"], "code": "GH"},
    {"name": _("Gibraltar"), "dial_code": ["+350"], "code": "GI"},
    {"name": _("Greece"), "dial_code": ["+30"], "code": "GR"},
    {"name": _("Greenland"), "dial_code": ["+299"], "code": "GL"},
    {"name": _("Grenada"), "dial_code": ["+1 473"], "code": "GD"},
    {"name": _("Guadeloupe"), "dial_code": ["+590"], "code": "GP"},
    {"name": _("Guam"), "dial_code": ["+1 671"], "code": "GU"},
    {"name": _("Guatemala"), "dial_code": ["+502"], "code": "GT"},
    {"name": _("Guinea"), "dial_code": ["+224"], "code": "GN"},
    {"name": _("Guinea-Bissau"), "dial_code": ["+245"], "code": "GW"},
    {"name": _("Guyana"), "dial_code": ["+595"], "code": "GY"},
    {"name": _("Haiti"), "dial_code": ["+509"], "code": "HT"},
    {"name": _("Honduras"), "dial_code": ["+504"], "code": "HN"},
    {"name": _("Hungary"), "dial_code": ["+36"], "code": "HU"},
    {"name": _("Iceland"), "dial_code": ["+354"], "code": "IS"},
    {"name": _("India"), "dial_code": ["+91"], "code": "IN"},
    {"name": _("Indonesia"), "dial_code": ["+62"], "code": "ID"},
    {"name": _("Iraq"), "dial_code": ["+964"], "code": "IQ"},
    {"name": _("Ireland"), "dial_code": ["+353"], "code": "IE"},
    {"name": _("Israel"), "dial_code": ["+972"], "code": "IL"},
    {"name": _("Italy"), "dial_code": ["+39"], "code": "IT"},
    {"name": _("Jamaica"), "dial_code": ["+1 876"], "code": "JM"},
    {"name": _("Japan"), "dial_code": ["+81"], "code": "JP"},
    {"name": _("Jordan"), "dial_code": ["+962"], "code": "JO"},
    {"name": _("Kazakhstan"), "dial_code": ["+7 7"], "code": "KZ"},
    {"name": _("Kenya"), "dial_code": ["+254"], "code": "KE"},
    {"name": _("Kiribati"), "dial_code": ["+686"], "code": "KI"},
    {"name": _("Kuwait"), "dial_code": ["+965"], "code": "KW"},
    {"name": _("Kyrgyzstan"), "dial_code": ["+996"], "code": "KG"},
    {"name": _("Latvia"), "dial_code": ["+371"], "code": "LV"},
    {"name": _("Lebanon"), "dial_code": ["+961"], "code": "LB"},
    {"name": _("Lesotho"), "dial_code": ["+266"], "code": "LS"},
    {"name": _("Liberia"), "dial_code": ["+231"], "code": "LR"},
    {"name": _("Liechtenstein"), "dial_code": ["+423"], "code": "LI"},
    {"name": _("Lithuania"), "dial_code": ["+370"], "code": "LT"},
    {"name": _("Luxembourg"), "dial_code": ["+352"], "code": "LU"},
    {"name": _("Madagascar"), "dial_code": ["+261"], "code": "MG"},
    {"name": _("Malawi"), "dial_code": ["+265"], "code": "MW"},
    {"name": _("Malaysia"), "dial_code": ["+60"], "code": "MY"},
    {"name": _("Maldives"), "dial_code": ["+960"], "code": "MV"},
    {"name": _("Mali"), "dial_code": ["+223"], "code": "ML"},
    {"name": _("Malta"), "dial_code": ["+356"], "code": "MT"},
    {"name": _("Marshall Islands"), "dial_code": ["+692"], "code": "MH"},
    {"name": _("Martinique"), "dial_code": ["+596"], "code": "MQ"},
    {"name": _("Mauritania"), "dial_code": ["+222"], "code": "MR"},
    {"name": _("Mauritius"), "dial_code": ["+230"], "code": "MU"},
    {"name": _("Mayotte"), "dial_code": ["+262"], "code": "YT"},
    {"name": _("Mexico"), "dial_code": ["+52"], "code": "MX"},
    {"name": _("Monaco"), "dial_code": ["+377"], "code": "MC"},
    {"name": _("Mongolia"), "dial_code": ["+976"], "code": "MN"},
    {"name": _("Montenegro"), "dial_code": ["+382"], "code": "ME"},
    {"name": _("Montserrat"), "dial_code": ["+1664"], "code": "MS"},
    {"name": _("Morocco"), "dial_code": ["+212"], "code": "MA"},
    {"name": _("Myanmar"), "dial_code": ["+95"], "code": "MM"},
    {"name": _("Namibia"), "dial_code": ["+264"], "code": "NA"},
    {"name": _("Nauru"), "dial_code": ["+674"], "code": "NR"},
    {"name": _("Nepal"), "dial_code": ["+977"], "code": "NP"},
    {"name": _("Netherlands"), "dial_code": ["+31"], "code": "NL"},
    {"name": _("Netherlands Antilles"), "dial_code": ["+599"], "code": "AN"},
    {"name": _("New Caledonia"), "dial_code": ["+687"], "code": "NC"},
    {"name": _("New Zealand"), "dial_code": ["+64"], "code": "NZ"},
    {"name": _("Nicaragua"), "dial_code": ["+505"], "code": "NI"},
    {"name": _("Niger"), "dial_code": ["+227"], "code": "NE"},
    {"name": _("Nigeria"), "dial_code": ["+234"], "code": "NG"},
    {"name": _("Niue"), "dial_code": ["+683"], "code": "NU"},
    {"name": _("Norfolk Island"), "dial_code": ["+672"], "code": "NF"},
    {"name": _("Northern Mariana Islands"), "dial_code": ["+1 670"], "code": "MP"},
    {"name": _("Norway"), "dial_code": ["+47"], "code": "NO"},
    {"name": _("Oman"), "dial_code": ["+968"], "code": "OM"},
    {"name": _("Pakistan"), "dial_code": ["+92"], "code": "PK"},
    {"name": _("Palau"), "dial_code": ["+680"], "code": "PW"},
    {"name": _("Panama"), "dial_code": ["+507"], "code": "PA"},
    {"name": _("Papua New Guinea"), "dial_code": ["+675"], "code": "PG"},
    {"name": _("Paraguay"), "dial_code": ["+595"], "code": "PY"},
    {"name": _("Peru"), "dial_code": ["+51"], "code": "PE"},
    {"name": _("Philippines"), "dial_code": ["+63"], "code": "PH"},
    {"name": _("Poland"), "dial_code": ["+48"], "code": "PL"},
    {"name": _("Portugal"), "dial_code": ["+351"], "code": "PT"},
    {"name": _("Puerto Rico"), "dial_code": ["+1 939", "+1 787"], "code": "PR"},
    {"name": _("Qatar"), "dial_code": ["+974"], "code": "QA"},
    {"name": _("Romania"), "dial_code": ["+40"], "code": "RO"},
    {"name": _("Rwanda"), "dial_code": ["+250"], "code": "RW"},
    {"name": _("Samoa"), "dial_code": ["+685"], "code": "WS"},
    {"name": _("San Marino"), "dial_code": ["+378"], "code": "SM"},
    {"name": _("Saudi Arabia"), "dial_code": ["+966"], "code": "SA"},
    {"name": _("Senegal"), "dial_code": ["+221"], "code": "SN"},
    {"name": _("Serbia"), "dial_code": ["+381"], "code": "RS"},
    {"name": _("Seychelles"), "dial_code": ["+248"], "code": "SC"},
    {"name": _("Sierra Leone"), "dial_code": ["+232"], "code": "SL"},
    {"name": _("Singapore"), "dial_code": ["+65"], "code": "SG"},
    {"name": _("Slovakia"), "dial_code": ["+421"], "code": "SK"},
    {"name": _("Slovenia"), "dial_code": ["+386"], "code": "SI"},
    {"name": _("Solomon Islands"), "dial_code": ["+677"], "code": "SB"},
    {"name": _("South Africa"), "dial_code": ["+27"], "code": "ZA"},
    {"name": _("South Georgia and the South Sandwich Islands"), "dial_code": ["+500"], "code": "GS"},
    {"name": _("Spain"), "dial_code": ["+34"], "code": "ES"},
    {"name": _("Sri Lanka"), "dial_code": ["+94"], "code": "LK"},
    {"name": _("Sudan"), "dial_code": ["+249"], "code": "SD"},
    {"name": _("Suriname"), "dial_code": ["+597"], "code": "SR"},
    {"name": _("Swaziland"), "dial_code": ["+268"], "code": "SZ"},
    {"name": _("Sweden"), "dial_code": ["+46"], "code": "SE"},
    {"name": _("Switzerland"), "dial_code": ["+41"], "code": "CH"},
    {"name": _("Tajikistan"), "dial_code": ["+992"], "code": "TJ"},
    {"name": _("Thailand"), "dial_code": ["+66"], "code": "TH"},
    {"name": _("Togo"), "dial_code": ["+228"], "code": "TG"},
    {"name": _("Tokelau"), "dial_code": ["+690"], "code": "TK"},
    {"name": _("Tonga"), "dial_code": ["+676"], "code": "TO"},
    {"name": _("Trinidad and Tobago"), "dial_code": ["+1 868"], "code": "TT"},
    {"name": _("Tunisia"), "dial_code": ["+216"], "code": "TN"},
    {"name": _("Turkey"), "dial_code": ["+90"], "code": "TR"},
    {"name": _("Turkmenistan"), "dial_code": ["+993"], "code": "TM"},
    {"name": _("Turks and Caicos Islands"), "dial_code": ["+1 649"], "code": "TC"},
    {"name": _("Tuvalu"), "dial_code": ["+688"], "code": "TV"},
    {"name": _("Uganda"), "dial_code": ["+256"], "code": "UG"},
    {"name": _("Ukraine"), "dial_code": ["+380"], "code": "UA"},
    {"name": _("United Arab Emirates"), "dial_code": ["+971"], "code": "AE"},
    {"name": _("United Kingdom"), "dial_code": ["+44"], "code": "GB"},
    {"name": _("United States"), "dial_code": ["+1", "+1 310"], "code": "US"},
    {"name": _("Uruguay"), "dial_code": ["+598"], "code": "UY"},
    {"name": _("Uzbekistan"), "dial_code": ["+998"], "code": "UZ"},
    {"name": _("Vanuatu"), "dial_code": ["+678"], "code": "VU"},
    {"name": _("Wallis and Futuna"), "dial_code": ["+681"], "code": "WF"},
    {"name": _("Yemen"), "dial_code": ["+967"], "code": "YE"},
    {"name": _("Zambia"), "dial_code": ["+260"], "code": "ZM"},
    {"name": _("Zimbabwe"), "dial_code": ["+263"], "code": "ZW"},
    {"name": _("Åland Islands"), "dial_code": [""], "code": "AX"},
    {"name": _("Antarctica"), "dial_code": None, "code": "AQ"},
    {"name": _("Bolivia, Plurinational State of"), "dial_code": ["+591"], "code": "BO"},
    {"name": _("Brunei Darussalam"), "dial_code": ["+673"], "code": "BN"},
    {"name": _("Cocos (Keeling) Islands"), "dial_code": ["+61"], "code": "CC"},
    {"name": _("Congo, The Democratic Republic of the"), "dial_code": ["+243"], "code": "CD"},
    {"name": _("Cote d'Ivoire"), "dial_code": ["+225"], "code": "CI"},
    {"name": _("Falkland Islands (Malvinas)"), "dial_code": ["+500"], "code": "FK"},
    {"name": _("Guernsey"), "dial_code": ["+44"], "code": "GG"},
    {"name": _("Holy See (Vatican City State)"), "dial_code": ["+379"], "code": "VA"},
    {"name": _("Hong Kong"), "dial_code": ["+852"], "code": "HK"},
    {"name": _("Iran, Islamic Republic of"), "dial_code": ["+98"], "code": "IR"},
    {"name": _("Isle of Man"), "dial_code": ["+44"], "code": "IM"},
    {"name": _("Jersey"), "dial_code": ["+44"], "code": "JE"},
    {"name": _("Korea, Democratic People's Republic of"), "dial_code": ["+850"], "code": "KP"},
    {"name": _("Korea, Republic of"), "dial_code": ["+82"], "code": "KR"},
    {"name": _("Lao People's Democratic Republic"), "dial_code": ["+856"], "code": "LA"},
    {"name": _("Libyan Arab Jamahiriya"), "dial_code": ["+218"], "code": "LY"},
    {"name": _("Macao"), "dial_code": ["+853"], "code": "MO"},
    {"name": _("Macedonia, The Former Yugoslav Republic of"), "dial_code": ["+389"], "code": "MK"},
    {"name": _("Micronesia, Federated States of"), "dial_code": ["+691"], "code": "FM"},
    {"name": _("Moldova, Republic of"), "dial_code": ["+373"], "code": "MD"},
    {"name": _("Mozambique"), "dial_code": ["+258"], "code": "MZ"},
    {"name": _("Palestinian Territory, Occupied"), "dial_code": ["+970"], "code": "PS"},
    {"name": _("Pitcairn"), "dial_code": ["+872"], "code": "PN"},
    {"name": _("Réunion"), "dial_code": ["+262"], "code": "RE"},
    {"name": _("Russia"), "dial_code": ["+7"], "code": "RU"},
    {"name": _("Saint Barthélemy"), "dial_code": ["+590"], "code": "BL"},
    {"name": _("Saint Helena, Ascension and Tristan Da Cunha"), "dial_code": ["+290"], "code": "SH"},
    {"name": _("Saint Kitts and Nevis"), "dial_code": ["+1 869"], "code": "KN"},
    {"name": _("Saint Lucia"), "dial_code": ["+1 758"], "code": "LC"},
    {"name": _("Saint Martin"), "dial_code": ["+590"], "code": "MF"},
    {"name": _("Saint Pierre and Miquelon"), "dial_code": ["+508"], "code": "PM"},
    {"name": _("Saint Vincent and the Grenadines"), "dial_code": ["+1 784"], "code": "VC"},
    {"name": _("Sao Tome and Principe"), "dial_code": ["+239"], "code": "ST"},
    {"name": _("Somalia"), "dial_code": ["+252"], "code": "SO"},
    {"name": _("Svalbard and Jan Mayen"), "dial_code": ["+47"], "code": "SJ"},
    {"name": _("Syrian Arab Republic"), "dial_code": ["+963"], "code": "SY"},
    {"name": _("Taiwan, Province of China"), "dial_code": ["+886"], "code": "TW"},
    {"name": _("Tanzania, United Republic of"), "dial_code": ["+255"], "code": "TZ"},
    {"name": _("Timor-Leste"), "dial_code": ["+670"], "code": "TL"},
    {"name": _("Venezuela, Bolivarian Republic of"), "dial_code": ["+58"], "code": "VE"},
    {"name": _("Viet Nam"), "dial_code": ["+84"], "code": "VN"},
    {"name": _("Virgin Islands, British"), "dial_code": ["+1 284"], "code": "VG"},
    {"name": _("Virgin Islands, U.S."), "dial_code": ["+1 340"], "code": "VI"}
]
