# Generated by Django 2.2 on 2020-09-20 11:00

from django.conf import settings
import django.contrib.auth.validators
import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_countries.fields
import phonenumber_field.modelfields
import user.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('name', models.CharField(blank=True, max_length=255, validators=[django.core.validators.RegexValidator(code='invalid_name', message='Name must contain only letters', regex="^[a-zA-Z-_,.' ]+$")], verbose_name='Name of User')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Email Address')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None, unique=True, verbose_name='Phone Number')),
                ('phone_verified', models.BooleanField(default=False, verbose_name='Phone is Verified')),
                ('kyc_status', models.CharField(choices=[('not_started', 'Not Started'), ('initiated', 'Initiated'), ('declined', 'Declined'), ('verified', 'Verified')], default='not_started', max_length=16, verbose_name='KYC')),
                ('country', django_countries.fields.CountryField(blank=True, max_length=2, null=True)),
                ('birthday', models.DateField(blank=True, null=True)),
                ('toc', models.BooleanField(default=False, verbose_name='Terms and Conditions')),
                ('is_activation_fee_paid', models.BooleanField(default=False, verbose_name='Activation fee is paid')),
                ('eth_wallet', models.CharField(blank=True, max_length=42, verbose_name='Ethereum wallet')),
                ('checking_account', models.CharField(blank=True, max_length=24, null=True, verbose_name='Checking account')),
                ('checking_account_balance_eur', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Checking account balance Eur')),
                ('total_licenses', models.PositiveIntegerField(default=0)),
                ('total_lr_licenses', models.PositiveIntegerField(default=0)),
                ('total_mr_licenses', models.PositiveIntegerField(default=0)),
                ('total_hr_licenses', models.PositiveIntegerField(default=0)),
                ('promo_licenses', models.PositiveSmallIntegerField(default=0)),
                ('affiliate_licenses', models.IntegerField(default=0)),
                ('total_lr_eth', models.DecimalField(decimal_places=18, default=0, max_digits=23, verbose_name='Total Low Eth Price')),
                ('total_mr_eth', models.DecimalField(decimal_places=18, default=0, max_digits=23, verbose_name='Total Medium Eth Price')),
                ('total_hr_eth', models.DecimalField(decimal_places=18, default=0, max_digits=23, verbose_name='Total High Eth Price')),
                ('total_lr_usd', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Total Usd Low')),
                ('total_mr_usd', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Total Usd Medium')),
                ('total_hr_usd', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Total Usd High')),
                ('oc_id', models.IntegerField(blank=True, default=0, null=True)),
                ('bcp_id', models.IntegerField(blank=True, default=0, null=True)),
                ('wp_no_phone', models.BooleanField(default=False)),
                ('old_total_licenses', models.PositiveSmallIntegerField(default=0)),
                ('old_total_usd', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Old Total Usd')),
                ('old_total_btc', models.DecimalField(decimal_places=18, default=0, max_digits=23, verbose_name='Old Total BTC')),
                ('old_total_eth', models.DecimalField(decimal_places=18, default=0, max_digits=23, verbose_name='Old Total Eth')),
                ('two_factor_method', models.CharField(choices=[('disabled', 'Disabled'), ('sms', 'SMS'), ('authenticator', 'Authenticator')], default='disabled', max_length=16)),
                ('rank_info', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('antiphishing_code', models.CharField(blank=True, max_length=8)),
                ('in_freeze', models.BooleanField(default=False, help_text="When account in freeze, user can't login to the site")),
                ('new_compensation_plan', models.BooleanField(default=False)),
                ('notes', models.TextField(blank=True, max_length=100, null=True)),
                ('user_type', models.CharField(choices=[('user', 'User'), ('company', 'Company')], default='user', max_length=8)),
                ('register_type', models.CharField(choices=[('referral', 'Referral'), ('independent', 'Independent')], default='referral', max_length=12)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('language', models.CharField(choices=[('en', 'English'), ('es', 'Spanish'), ('de', 'German'), ('ru', 'Russian')], default='en', max_length=32)),
                ('creator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='creators', to=settings.AUTH_USER_MODEL)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('referral', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', user.managers.UserSoftDeletionManager()),
                ('deleted_objects', user.managers.UserSoftDeletionManager(alive_only=False)),
                ('objects_custom', user.managers.UserTreeManager()),
            ],
        ),
    ]
